VCF-ISEC(1)

NAME
vcf-isec - create intersections, unions, complements on bgzipped and tabix indexed VCF or tab-delimited files

SYNOPSIS
vcf-isec [OPTIONS] file1.vcf file2.vcf ...

DESCRIPTION
About: Create intersections, unions, complements on bgzipped and tabix indexed VCF or tab-delimited files.

    Note that lines from all files can be intermixed together on the output, which can yield unexpected results.

OPTIONS

-C, --chromosomes <list|file>
    Process the given chromosomes (comma-separated list or one chromosome per line in a file).

-c, --complement
    Output positions present in the first file but missing from the other files.

-d, --debug
    Debugging information

-f, --force
    Continue even if the script complains about differing columns.

-o, --one-file-only
    Print only entries from the left-most file. Without -o, all unique positions will be printed.

-n, --nfiles [+-=]<int>
    Output positions present in this many (=), this many or more (+), or this many or fewer (-) files.

-p, --prefix <path>
    If present, multiple files will be created with all possible isec combinations. (Suitable for Venn Diagram analysis.)

-t, --tab <chr:pos:file>
    Tab-delimited file with indexes of chromosome and position columns. (1-based indexes)

-w, --win <int>
    In repetitive sequences, the same indel can be called at different positions. Consider records this far apart as matching (be it a SNP or an indel).

-h, -?, --help
    This help message.

EXAMPLES

    bgzip file.vcf; tabix -p vcf file.vcf.gz bgzip file.tab; tabix -s 1 -b 2 -e 2 file.tab.gz